import { type ReactNode } from 'react';
type BlockDataContextValue = {
    blockId: string;
    blockData: Record<string, unknown> | null;
};
export declare function EditableBlockProvider({ blockId, children }: {
    blockId: string;
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function useBlockData(): BlockDataContextValue | null;
export {};
